Bug 1803792 - pxegrub2 default local boot template causes bootloops
Summary: pxegrub2 default local boot template causes bootloops
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning Templates
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-17 13:27 UTC by Roman Plevka
Modified: 2020-04-14 13:28 UTC (History)
3 users (show)

Fixed In Version: foreman-1.24.1.5-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 29031 Normal Closed PXEGrub2 default local boot template causes bootloops 2020-03-09 16:06:32 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:53 UTC

Description Roman Plevka 2020-02-17 13:27:08 UTC
Description of problem:
all installations using pxegrub2 templates end up in boot loop after the provisioning is done and the target template is switch to the "pxegrub2 default local boot".

Grub2 tries to fetch  and load its own config over and over again, causing infinite loop

Version-Release number of selected component (if applicable):
6.7.0 snap#11

How reproducible:


Steps to Reproduce:
1. Try to provision a host using PxeGRUB2 bootloader
2. after the os installation is done, wait for the reboot and notice the os is not booting

Actual results:
os doesn't pass the 2nd stage bootloader, stuck in a loop of loading grub2 config from tftp.

Comment 8 errata-xmlrpc 2020-04-14 13:28:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.